diff --git a/libmscore/element.cpp b/libmscore/element.cpp
index c92d620..b0a342c 100644
--- a/libmscore/element.cpp
+++ b/libmscore/element.cpp
@@ -1813,7 +1813,8 @@ bool Element::edit(EditData& ed)
 void Element::startEditDrag(EditData& ed)
       {
       ElementEditData* eed = ed.getData(this);
-      eed->pushProperty(P_ID::USER_OFF);
+      if (eed != NULL)
+            eed->pushProperty(P_ID::USER_OFF);
       }
 
 //---------------------------------------------------------
diff --git a/mscore/events.cpp b/mscore/events.cpp
index ee832fc..edf97d1 100644
--- a/mscore/events.cpp
+++ b/mscore/events.cpp
@@ -361,7 +361,7 @@ void ScoreView::mousePressEvent(QMouseEvent* ev)
                   break;
 
             case ViewState::EDIT: {
-                  if (editData.grips) {
+                  if (e == editData.element && editData.grips) {
                         qreal a = editData.grip[0].width() * 1.0;
                         for (int i = 0; i < editData.grips; ++i) {
                               if (editData.grip[i].adjusted(-a, -a, a, a).contains(editData.startMove)) {
